<div [ngClass]="[jds.card, jds.mb(20)]">
  <ng-container *ngIf="(isLoadingRead$ | async) === false">
    <ng-container *ngIf="data$ | async as row">
      <div [ngClass]="[jds.cardBody, jds.p(0)]">
        <ul
          #nav="jdsBiNav"
          [(activeId)]="activeNav"
          [colorScheme]="colorScheme"
          [ngClass]="[jds.alignItems('center')]"
          jdsBiNav
          variant="ghost"
        >
          <li [jdsBiNavItem]="1">
            <a
              (click)="filterComponent('description')"
              jdsBiNavLink
            >
              Tentang Dataset
            </a>
          </li>
          <li [jdsBiNavItem]="2">
            <a
              (click)="filterComponent('metadata')"
              jdsBiNavLink
            >
              Metadata
            </a>
          </li>
          <li
            *ngIf="row.category === 'Data Agregat'"
            [jdsBiNavItem]="3"
          >
            <a
              (click)="filterComponent('quality')"
              jdsBiNavLink
            >
              Kualitas Data
            </a>
          </li>
        </ul>
      </div>
    </ng-container>
  </ng-container>

  <ng-container *ngIf="isLoadingRead$ | async">
    <div [ngClass]="[jds.cardBody, jds.py(32), jds.px(24)]">
      <div
        class="wrapper-skeleton"
        *ngFor="let line of [70, 10, 30, 20]"
      >
        <ngx-skeleton-loader
          [theme]="{
            width: line + '%',
            'border-radius': '0',
            height: '20px',
            'margin-bottom': '10px'
          }"
        />
      </div>
    </div>
  </ng-container>

  <ng-container *ngIf="(isLoadingRead$ | async) === false">
    <ng-container *ngIf="data$ | async as row">
      <ng-container *ngIf="filter.component === 'description'">
        <div
          [ngClass]="[
            jds.cardBody,
            jds.borderBottom(1),
            jds.py(32),
            jds.px(24)
          ]"
        >
          <div
            [ngClass]="[className.description, 'ck-satudata']"
            [innerHTML]="row.description ? (row.description | safeHtml) : ''"
          ></div>
          <div [ngClass]="[jds.d('flex'), jds.alignItems('start')]">
            <div
              [ngClass]="jds.me(48)"
              [style.flexShrink]="0"
            >
              <div
                [ngClass]="[
                  jds.fs(14),
                  jds.mb(6),
                  jds.text(jdsBiColor.gray['600'])
                ]"
                [style.lineHeight.px]="20"
              >
                Jumlah Dilihat
              </div>
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="1"
                [style.lineHeight.px]="23"
              >
                {{ row.count_view_private }}
              </span>
            </div>

            <div
              [ngClass]="jds.me(48)"
              [style.flexShrink]="0"
            >
              <div
                [ngClass]="[
                  jds.fs(14),
                  jds.mb(6),
                  jds.text(jdsBiColor.gray['600'])
                ]"
                [style.lineHeight.px]="20"
              >
                Jumlah Diunduh
              </div>
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="1"
                [style.lineHeight.px]="23"
              >
                {{ row.count_access_private }}
              </span>
            </div>

            <div [ngClass]="jds.me(48)">
              <div
                [ngClass]="[
                  jds.fs(14),
                  jds.mb(6),
                  jds.text(jdsBiColor.gray['600'])
                ]"
                [style.lineHeight.px]="20"
              >
                Lisensi
              </div>
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="1"
                [style.lineHeight.px]="23"
              >
                {{ row.license.name }}
              </span>
            </div>

            <div>
              <div
                [ngClass]="[
                  jds.fs(14),
                  jds.mb(6),
                  jds.text(jdsBiColor.gray['600'])
                ]"
                [style.lineHeight.px]="20"
              >
                Tags
              </div>
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="1"
                [style.lineHeight.px]="23"
              >
                {{ row.dataset_tags.join(', ') }}
              </span>
            </div>
          </div>
        </div>
        <div [ngClass]="[jds.cardBody, jds.py(32), jds.px(24)]">
          <div
            [ngClass]="[
              jds.fs(14),
              jds.mb(6),
              jds.text(jdsBiColor.gray['600'])
            ]"
            [style.lineHeight.px]="20"
          >
            Disusun oleh
          </div>
          <div [ngClass]="[jds.d('flex'), jds.alignItems('start')]">
            <div [ngClass]="className.frame">
              <img
                class="img-responsive"
                *ngIf="row.skpd.logo !== null; else imgempty"
                [alt]="row.skpd.nama_skpd"
                [src]="env.backendURL + row.skpd.logo"
              />
              <ng-template #imgempty>
                <img
                  class="img-responsive"
                  [alt]="row.skpd.nama_skpd"
                  src="http://placehold.it/200x200"
                />
              </ng-template>
            </div>
            <div>
              <h6 [ngClass]="jds.mb(16)">{{ row.skpd.nama_skpd }}</h6>
              <div [ngClass]="[jds.d('flex'), jds.alignItems('start')]">
                <div
                  [ngClass]="jds.me(100)"
                  [style.flexShrink]="0"
                >
                  <div [ngClass]="jds.mb(10)">
                    <div
                      [ngClass]="[jds.d('flex')]"
                      [style.verticalAlign]="'middle'"
                    >
                      <jds-bi-icon
                        [ngClass]="[
                          jds.me(6),
                          jds.text(jdsBiColor.gray['600'])
                        ]"
                        name="phone"
                      />
                      <span
                        [ngClass]="[jds.fs(14)]"
                        [style.position]="'relative'"
                        [style.top.px]="0.5"
                        [style.lineHeight.px]="23"
                      >
                        {{ row.skpd.phone !== null ? row.skpd.phone : '-' }}
                      </span>
                    </div>
                  </div>
                  <div>
                    <div
                      [ngClass]="[jds.d('flex')]"
                      [style.verticalAlign]="'middle'"
                    >
                      <jds-bi-icon
                        [ngClass]="[
                          jds.me(6),
                          jds.text(jdsBiColor.gray['600'])
                        ]"
                        name="envelope"
                      />
                      <span
                        [ngClass]="[jds.fs(14)]"
                        [style.position]="'relative'"
                        [style.top.px]="0.5"
                        [style.lineHeight.px]="23"
                      >
                        {{ row.skpd.email !== null ? row.skpd.email : '-' }}
                      </span>
                    </div>
                  </div>
                </div>
                <div [ngClass]="jds.me(48)">
                  <div
                    [ngClass]="[
                      jds.fs(14),
                      jds.mb(6),
                      jds.text(jdsBiColor.gray['600'])
                    ]"
                    [style.lineHeight.px]="20"
                  >
                    Bidang Organisasi
                  </div>
                  <span
                    [ngClass]="[jds.fs(14), jds.fontWeight('bold')]"
                    [style.position]="'relative'"
                    [style.top.px]="1"
                    [style.lineHeight.px]="23"
                  >
                    {{
                      (row.skpdsub | json) !== '{}'
                        ? (row.skpdsub.nama_skpdsub || '-' | titlecase)
                        : '-'
                    }}
                  </span>
                </div>
                <div>
                  <div
                    [ngClass]="[
                      jds.fs(14),
                      jds.mb(6),
                      jds.text(jdsBiColor.gray['600'])
                    ]"
                    [style.lineHeight.px]="20"
                  >
                    Seksi Organisasi
                  </div>
                  <span
                    [ngClass]="[jds.fs(14), jds.fontWeight('bold')]"
                    [style.position]="'relative'"
                    [style.top.px]="1"
                    [style.lineHeight.px]="23"
                  >
                    {{
                      (row.skpdunit | json) !== '{}'
                        ? (row.skpdunit.nama_skpdunit || '-' | titlecase)
                        : '-'
                    }}
                  </span>
                </div>
              </div>
            </div>
          </div>
        </div>
      </ng-container>

      <ng-container *ngIf="filter.component === 'metadata'">
        <div [ngClass]="[jds.cardBody, jds.py(32), jds.px(24)]">
          <table
            [ngClass]="[
              jds.table,
              jds.tableSm,
              jds.tableBordered,
              jds.tableStriped
            ]"
            role="table"
            aria-label="Metadata"
            aria-describedby="Table Metadata"
          >
            <tbody>
              <tr>
                <th
                  [style.width.%]="25"
                  scope="row"
                >
                  Dataset Diperbarui
                </th>
                <td>
                  {{ moment(row.mdate).locale('id').format('DD MMMM YYYY') }}
                </td>
              </tr>
              <tr>
                <th scope="row">Dataset Dibuat</th>
                <td>
                  {{ moment(row.cdate).locale('id').format('DD MMMM YYYY') }}
                </td>
              </tr>
              <tr *ngFor="let rowMBD of getMetadata(metadataBusinessData)">
                <th scope="row">{{ rowMBD.key }}</th>
                <td>{{ rowMBD.value ?? '-' }}</td>
              </tr>
              <tr *ngFor="let rowMCD of metadataCustomData$ | async">
                <th scope="row">{{ rowMCD.key }}</th>
                <td>{{ rowMCD.value }}</td>
              </tr>
            </tbody>
          </table>
        </div>
      </ng-container>

      <ng-container *ngIf="filter.component === 'quality'">
        <app-detail-dataset-quality />
      </ng-container>
    </ng-container>
  </ng-container>
</div>
